Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::DistanceComputer Member List

This is the complete list of members for faiss::DistanceComputer, including all inherited members.

idx_t typedef (defined in faiss::DistanceComputer) | faiss::DistanceComputer |
operator()(idx_t i)=0 | faiss::DistanceComputer | pure virtual
set_query(const float *x)=0 | faiss::DistanceComputer | pure virtual
symmetric_dis(idx_t i, idx_t j)=0 | faiss::DistanceComputer | pure virtual
~DistanceComputer() (defined in faiss::DistanceComputer) | faiss::DistanceComputer | inline virtual